<?php

/**
 * VERIFICAR SE PRECISA DE ATUALIZAÇÃO
 */
require_once get_template_directory() . '/plugin-update-checker/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
    'http://cdn-wordpress.altimus.com.br/atualizacoes/tema-altimus2/theme.json',
    __FILE__, //Full path to the main plugin file or functions.php.
    'altimus2'
);


//require_once get_template_directory() . '/inc/woocommerce.php';
require_once get_template_directory() . '/inc/widget.php';
require_once get_template_directory() . '/inc/sidebar.php';
require_once get_template_directory() . '/inc/menu.php';
require_once get_template_directory() . '/inc/util.php';
require_once get_template_directory() . '/inc/setup/general.php';

add_action('wp_enqueue_scripts', 'alt_load_scripts');
add_action('after_setup_theme', 'alt_load_config', 0);
add_filter('get_custom_logo', 'change_logo_class');


if (!function_exists('alt_check_plugin_ativo')) {
    function alt_check_plugin_ativo()
    {

        include_once(ABSPATH . 'wp-admin/includes/plugin.php');
        if (!is_plugin_active('altimus/altimus.php')) {
            echo "<div style='background-color: #003C66;color:#fff;padding: 20px;font-size: 24px;text-align: center;'>Para utilizar esse tema é necessário ter o plugin <strong>Altimus</strong> ativo e configurado</div>";
            die;
        };

    }

    add_action('wp_enqueue_scripts', 'alt_check_plugin_ativo', 2);

}


if (!function_exists('alt_load_scripts')) {
    function alt_load_scripts()
    {
        $versao = '20210318';

        $cdn_altimus = get_template_directory_uri();



        wp_enqueue_style('font-awesome-css', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/all.min.css', $versao, 'all');
        wp_enqueue_style('master-css', $cdn_altimus . '/assets/css/master.css', array(), $versao, 'all');
        wp_enqueue_style('iview-css', $cdn_altimus . '/assets/plugins/iview/css/iview.css', array('master-css'), $versao, 'all');
        wp_enqueue_style('style-css', $cdn_altimus . '/assets/plugins/iview/css/skin/style.css', array('iview-css'), $versao, 'all');

        //SWITCHER
        wp_enqueue_style('switcher-css', $cdn_altimus . '/assets/plugins/switcher/css/switcher.css', array('iview-css'), $versao, 'all');


        $paleta = get_paleta_de_cores();


        wp_enqueue_style('color1-css', $cdn_altimus . '/assets/plugins/switcher/css/' . $paleta . '.css', array('iview-css'), $versao, 'all');


        wp_enqueue_style('custom-alt', $cdn_altimus . '/assets/css/custom.css', array(), $versao, 'all');


        wp_enqueue_script('jquery-js', $cdn_altimus . '/assets/plugins/jquery/jquery-1.11.1.min.js', array(), $versao);
        wp_enqueue_script('jquery-migrate-js', $cdn_altimus . '/assets/js/jquery-migrate-1.2.1.js', array('jquery-js'), $versao, true);
        wp_enqueue_script('boostrap-js', $cdn_altimus . '/assets/plugins/bootstrap/js/bootstrap.min.js', array('jquery-migrate-js'), $versao, true);
        wp_enqueue_script('modernize-js', $cdn_altimus . '/assets/js/modernizr.custom.js', array('boostrap-js'), $versao, true);
        wp_enqueue_script('owl-js', $cdn_altimus . '/assets/plugins/owl-carousel/owl.carousel.min.js', array('modernize-js'), $versao, true);
        wp_enqueue_script('waypoints-js', $cdn_altimus . '/assets/js/waypoints.min.js', array('owl-js'), $versao, true);

        wp_enqueue_script('prettyPhoto-js', 'https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/jquery.magnific-popup.min.js', array('waypoints-js'), 2, true);
        wp_enqueue_script('easing-js', 'http://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.3/jquery.easing.min.js', array('prettyPhoto-js'), $versao, true);
        wp_enqueue_script('jelect-js', $cdn_altimus . '/assets/plugins/jelect/jquery.jelect.js', array('easing-js'), $versao, true);
        wp_enqueue_script('cssua-js', $cdn_altimus . '/assets/js/cssua.min.js', array('jelect-js'), $versao, true);
        wp_enqueue_script('wow-js', $cdn_altimus . '/assets/js/wow.min.js', array('cssua-js'), $versao, true);


        wp_enqueue_style('icones-alt', $cdn_altimus . '/assets/icomoon/style.css', array(), $versao, 'all');

        //Exibir imagens dos veículos
        wp_enqueue_script('nouislider-js', $cdn_altimus . '/assets/plugins/nouislider/jquery.nouislider.all.min.js', array('jelect-js'), $versao, true);
        wp_enqueue_script('flexslider-js', $cdn_altimus . '/assets/plugins/flexslider/jquery.flexslider.js', array('nouislider-js'), $versao, true);


        wp_enqueue_style('slidepro-css', $cdn_altimus . '/assets/plugins/sliderpro/css/slider-pro.min.css', array(), null, 'all');
        wp_enqueue_script('slidepro-js', $cdn_altimus . '/assets/plugins/sliderpro/js/jquery.sliderPro.js', array('jquery-js'), null, true);

        wp_enqueue_style('pretty-css', 'https://cdnjs.cloudflare.com/ajax/libs/prettyPhoto/3.1.6/css/prettyPhoto.min.css', array(), null, 'all');
        wp_enqueue_script('pretty-js', 'https://cdnjs.cloudflare.com/ajax/libs/prettyPhoto/3.1.6/js/jquery.prettyPhoto.min.js', array('slidepro-js'), null, true);


        wp_enqueue_script('custom-js', $cdn_altimus . '/assets/js/custom.js', array('pretty-js', 'slidepro-js'), $versao, true);


    }
}


if (!function_exists('alt_load_config')) {
    function alt_load_config()
    {
        add_theme_support('title-tag');
        // Registrando nossos menus
        register_nav_menus(
            array(
                'my_main_menu' => 'Main Menu',
                'footer_menu' => 'Footer Menu'
            )
        );


        add_image_size('alt_imagem_veiculo', 750, 563, true);
        add_image_size('alt_imagem_veiculos_miniatura', 84, 75, true);
        //add_image_size('alt_imagem_veiculos_estoque', 360, 270, true);

        add_image_size('medium', 360, 270, true);

        add_image_size('alt_veiculo_destaque', 360, 270, true);
        add_image_size('alt_noticias', 370, 250, true);
        add_image_size('alt-blog-grid', 470, 280, true);


        add_theme_support('post-thumbnails');
        add_theme_support('custom-logo', ['height' => 149, 'width' => 350]);


        // disable for posts
        add_filter('use_block_editor_for_post', '__return_false', 10);

        // disable for post types
        add_filter('use_block_editor_for_post_type', '__return_false', 10);
    }


    function modify_post_thumbnail_html($html, $post_id, $post_thumbnail_id, $size, $attr)
    {
        if ($size == 'medium') {


            $src = wp_get_attachment_image_src($post_thumbnail_id, $size);

            if (empty($src)) {
                $src = wp_get_attachment_image_src($post_thumbnail_id, 'full');
            };
            $html = '<img src="' . $src['0'] . '" alt="" data-src="' . $src['0'] . '" data-alt="" class="img-responsive" />';
        };
        return $html;
    }

    add_filter('post_thumbnail_html', 'modify_post_thumbnail_html', 99, 5);


}

