<?php
add_filter('wp_nav_menu', 'alt_replace_submenu_class');
function alt_replace_submenu_class($menu)
{

    $menu = preg_replace('/ class="sub-menu"/', '/ class="dropdown-menu" /', $menu);
    return $menu;
}

if (!class_exists('WPSE_Walker_Comment')) {

    class WPSE_Walker_Comment extends Walker_Comment
    {

        public function start_el(&$output, $comment, $depth = 0, $args = array(), $id = 0)
        {

            $depth++;
            $GLOBALS['comment_depth'] = $depth;
            $GLOBALS['comment'] = $comment;

            // Start output buffering
            ob_start();

            // Let's use the native html5 comment template
            $this->html5_comment($comment, $depth, $args);

            // Our modifications (wrap <time> with <span>)
            $output .= str_replace(
                ['<time ', '</time>'],
                ['<span><time ', '</time></span>'],
                ob_get_clean()
            );

        }

        public function html5_comment($comment, $depth, $args)
        {
            $tag = ('div' === $args['style']) ? 'div' : 'li';

            $commenter = wp_get_current_commenter();
            if ($commenter['comment_author_email']) {
                $moderation_note = __('Your comment is awaiting moderation.');
            } else {
                $moderation_note = __('Your comment is awaiting moderation. This is a preview, your comment will be visible after it has been approved.');
            }

            ?>


            <article class="comment">
                <div class="avatar-placeholder">

                    <?php
                    $url_avatar = get_avatar_url($comment);
                    if (empty($url_avatar)) {
                        $url_avatar = 'https://via.placeholder.com/75';
                    }
                    ?>

                    <img src="<?php echo $url_avatar ?>"
                         height="65"
                         width="65"
                         alt="avatar">
                </div>
                <div class="comment-inner">
                    <header class="comment-header">
                        <cite class="comment-author"><?php echo get_comment_author_link($comment) ?>
                            <span class="comment-author__inner">Disse:</span>
                        </cite>
                        <time class="comment-datetime" datetime="<?php comment_time('c'); ?>">
                            <?php comment_time('d/m/Y h:i'); ?>
                        </time>
                    </header>
                    <div class="comment-body">
                        <p>
                            <?php comment_text(); ?>
                        </p>

                        <?php edit_comment_link(__('Edit'), '<span class="edit-link">', '</span>'); ?>
                        <?php if ('0' == $comment->comment_approved) : ?>
                            <em class="comment-awaiting-moderation"><?php echo $moderation_note; ?></em>
                        <?php endif; ?>
                        <div class="comment-reply">

                            <?php
                            comment_reply_link(
                                array_merge(
                                    $args,
                                    array(
                                        'add_below' => 'div-comment',
                                        'depth' => $depth,
                                        'max_depth' => $args['max_depth'],
                                        'before' => '<div class="btn btn-default btn-effect">',
                                        'after' => '</div>',
                                    )
                                )
                            );
                            ?>
                        </div>
                    </div>
                </div>
            </article>

            <?php
        }

        public function comment($comment, $depth, $args)
        {
            if ('div' == $args['style']) {
                $tag = 'div';
                $add_below = 'comment';
            } else {
                $tag = 'li';
                $add_below = 'div-comment';
            }

            $commenter = wp_get_current_commenter();
            if ($commenter['comment_author_email']) {
                $moderation_note = __('Your comment is awaiting moderation.');
            } else {
                $moderation_note = __('Your comment is awaiting moderation. This is a preview, your comment will be visible after it has been approved.');
            }

            ?>
            <<?php echo $tag; ?><?php comment_class($this->has_children ? 'parent' : '', $comment); ?> id="comment-<?php comment_ID(); ?>">
            <?php if ('div' != $args['style']) : ?>
            <div id="div-comment-<?php comment_ID(); ?>" class="comment-body">
        <?php endif; ?>
            <div class="comment-author vcard">
                <?php
                if (0 != $args['avatar_size']) {
                    echo get_avatar($comment, $args['avatar_size']);
                }
                ?>
                <?php
                printf(
                /* translators: %s: Comment author link. */
                    __('%s <span class="says">says:</span>'),
                    sprintf('<cite class="fn">%s</cite>', get_comment_author_link($comment))
                );
                ?>
            </div>
            <?php if ('0' == $comment->comment_approved) : ?>
            <em class="comment-awaiting-moderation"><?php echo $moderation_note; ?></em>
            <br/>
        <?php endif; ?>

            <div class="comment-meta commentmetadata"><a
                        href="<?php echo esc_url(get_comment_link($comment, $args)); ?>">
                    <?php
                    /* translators: 1: Comment date, 2: Comment time. */
                    printf(__('%1$s at %2$s'), get_comment_date('', $comment), get_comment_time());
                    ?>
                </a>
                <?php
                edit_comment_link(__('(Edit)'), '&nbsp;&nbsp;', '');
                ?>
            </div>

            <?php
            comment_text(
                $comment,
                array_merge(
                    $args,
                    array(
                        'add_below' => $add_below,
                        'depth' => $depth,
                        'max_depth' => $args['max_depth'],
                    )
                )
            );
            ?>

            <?php
            comment_reply_link(
                array_merge(
                    $args,
                    array(
                        'add_below' => $add_below,
                        'depth' => $depth,
                        'max_depth' => $args['max_depth'],
                        'before' => '<div class="reply">',
                        'after' => '</div>',
                    )
                )
            );
            ?>

            <?php if ('div' != $args['style']) : ?>
            </div>
        <?php endif; ?>
            <?php
        }
    }

}
