<?php
if (!defined('ABSPATH')) {
    exit;
}
if (post_password_required()) {
    echo get_the_password_form(); // WPCS: XSS ok.
    return;
}

$arrOpcionais = alt_get_caracteristicas($post->ID, 'alt_acessorios');
?>

<div class="block-title">
    <div class="block-title__inner">

    </div>
    <!-- end block-title__inner -->
</div>
<!-- end block-title -->

<section <?php post_class(['modelo1'], get_the_ID()); ?> id="product-<?php the_ID(); ?> exibir_veiculo">
    <div class="container site">

        <?php if (is_active_sidebar('sidebar_sessao_4')) : ?>
            <div class="row">
                <div class="col-xs-12">
                    <?php dynamic_sidebar('sidebar_sessao_4'); ?>
                </div>
            </div>

        <?php endif; ?>

        <div class="row">
            <div class="col-md-8">
                <main class="main-content">
                    <article class="car-details">
                        <div class="car-details__wrap-title clearfix">
                            <h2 class="car-details__title">
                                <?= get_titulo_produto($post->ID, true) ?>
                            </h2>


                            <div class="car-details__wrap-price">
                                <span class="car-details__price">
                                    <span class="car-details__price-inner">
                                        <?= get_preco_veiculo($post->ID, true); ?>
                                    </span>
                                </span>
                            </div>


                        </div>


                        <div id="slider-product" class="flexslider slider-product">
                            <ul class="slides slides-veiculos" id="listing_img_slider">

                                <!--monstrar video-->
                                <?php

                                $largura = 750;
                                $altura = 450;

                                if (wp_is_mobile()) {
                                    $largura = 750;
                                    $altura = 450;
                                }

                                $youtube = alt_get_video($post->ID, 1, $largura, $altura);
                                if (!empty($youtube)) :
                                ?>
                                    <li>
                                        <a href="#video_veiculo">
                                            <?php echo $youtube; ?>
                                        </a>
                                    </li>
                                <?php endif; ?>

                                <?php

                                $arrImagens = alt_get_caracteristicas($post->ID, 'alt_imagens');

                                if (!empty($arrImagens) ||  !empty($youtube)) {
                                    foreach ($arrImagens as $attachment_id => $url) {
                                        echo "<li><a class='fotos-veiculos-zoom' href='" . wp_get_attachment_image_url($attachment_id, 'large') . "'>" . wp_get_attachment_image($attachment_id, 'large', null, ['class' => 'img-responsive']) . "</a></li>";
                                    }
                                } else {
                                    echo get_alt_placeholder_imagem('full', []);
                                }
                                ?>


                            </ul>
                        </div>
                        <div id="carousel-product" class="flexslider carousel-product">
                            <ul class="slides">


                                <?php
                                $youtube = alt_get_video($post->ID, 1, 84, 84);
                                $url_thumb = alt_get_video_thumb($post->ID);
                                if (!empty($youtube)) :
                                ?>
                                    <?php $i = 0; ?>
                                    <li>

                                        <a data-slide-index="<?= $i ?>" href='#video_veiculo'>
                                            <img class="img-responsive" width="146" src="<?php echo $url_thumb ?>">
                                        </a>
                                    </li>
                                <?php endif; ?>

                                <?php

                                $arrImagens = alt_get_caracteristicas($post->ID, 'alt_imagens');

                                if (!empty($arrImagens)) {
                                    foreach ($arrImagens as $attachment_id => $url) {

                                        echo "<li><a  class='fotos-veiculos-zoom' href='" . wp_get_attachment_image_url($attachment_id, 'thumbnail') . "'>" . wp_get_attachment_image($attachment_id, [75, 95], null, ['class' => 'img-responsive']) . "</a></li>";
                                    }
                                }


                                ?>


                            </ul>


                        </div>

                        <?php if (is_active_sidebar('sidebar_sessao_1')) : ?>
                            <div class="row">
                                <div class="col-xs-12">
                                    <?php dynamic_sidebar('sidebar_sessao_1'); ?>
                                </div>
                            </div>

                        <?php endif; ?>


                        <div class="session-caracteristicas">
                            <div class="row">
                                <div class="col-md-6">
                                    <dl class="list-descriptions list-unstyled">
                                        <div class="dd-item">
                                            <dt class="left">Marca:</dt>
                                            <dd class="right"><?= alt_get_marca_modelo_tipo($post->ID, 'marca'); ?></dd>
                                            <dt class="left">KM:</dt>
                                            <dd class="right"><?= alt_get_caracteristicas($post->ID, 'alt_kilometragem'); ?></dd>
                                            <dt class="left">Combustível:</dt>
                                            <dd class="right"><?= alt_get_caracteristicas($post->ID, 'alt_combustivel'); ?></dd>
                                            <dt class="left">Câmbio:</dt>
                                            <dd class="right"><?= alt_get_caracteristicas($post->ID, 'alt_cambio'); ?></dd>
                                        </div>
                                    </dl>
                                </div>
                                <div class="col-md-6">
                                    <dl class="list-descriptions list-unstyled">
                                        <div class="dd-item">
                                            <dt class="left">Modelo:</dt>
                                            <dd class="right"><?= alt_get_marca_modelo_tipo($post->ID, 'modelo'); ?></dd>
                                            <dt class="left">Cor:</dt>
                                            <dd class="right"><?= alt_get_caracteristicas($post->ID, 'alt_cor'); ?></dd>
                                            <dt class="left">Placa:</dt>
                                            <dd class="right"><?= alt_get_caracteristicas($post->ID, 'alt_placa'); ?></dd>
                                            <dt class="left">Portas:</dt>
                                            <dd class="right"><?= alt_get_caracteristicas($post->ID, 'alt_portas'); ?></dd>
                                        </div>
                                    </dl>
                                </div>
                            </div>
                        </div>

                        <!-- Nav tabs -->
                        <div class="wrap-nav-tabs" id="modal_descritivo">
                            <ul class="nav nav-tabs">
                                <li class="active">
                                    <a href="#tab1" id="descritivo_click_descricao" data-toggle="tab">Descrição</a>
                                </li>

                                <?php if (!empty($arrOpcionais)) : ?>
                                    <li>
                                        <a href="#tab2" id="descritivo_click_opcionais" data-toggle="tab">Opcionais</a>
                                    </li>
                                <?php endif; ?>

                                <?php if (alt_check_exist_contatos_header() || is_active_sidebar('sidebar_sessao_1')) : ?>
                                    <li>
                                        <a href="#tab3" id="descritivo_click_fale_conosco" data-toggle="tab">Fale conosco</a>
                                    </li>
                                <?php endif; ?>

                            </ul>
                        </div>

                        <!-- Tab panes -->
                        <div class="tab-content">
                            <div class="tab-pane active" id="tab1">
                                <h3 class="ui-title-inner">Observações</h3>

                                <?= the_content() ?>


                            </div>
                            <div class="tab-pane " id="tab2">


                                <?php if (!empty($arrOpcionais)) : ?>
                                    <h3 class="ui-title-inner">Opcionais</h3>


                                    <?php
                                    $lista = array_chunk($arrOpcionais, ceil(count($arrOpcionais) / 3), true);

                                    if (is_array($lista)) : ?>

                                        <div class="row">


                                            <?php foreach ($lista as $dados) : ?>
                                                <div class="col-xs-12 col-md-4">
                                                    <dl class="list-descriptions list-unstyled">
                                                        <tbody>
                                                            <?php foreach ($dados as $data) : ?>
                                                                <dt><?= $data['descricao']; ?></dt>
                                                            <?php endforeach; ?>
                                                    </dl>
                                                </div>
                                            <?php endforeach; ?>
                                        </div>

                                    <?php endif; ?>

                                <?php endif; ?>
                            </div>

                            <div class="tab-pane" id="tab3">
                                <div class="row">
                                    <div class="col-md-4 lista-contatos">
                                        <dl class="list-descriptions list-unstyled">

                                            <?php foreach (alt_get_filiais() as $arrContatos) : ?>

                                                <div class="dd-item">
                                                    <dt class="left">
                                                        <?php echo $arrContatos['nome']; ?>:
                                                    </dt>
                                                    <dd class="right">
                                                        <?php echo $arrContatos['telefone']; ?>:
                                                    </dd>
                                                </div>

                                            <?php endforeach; ?>

                                        </dl>
                                    </div>
                                    <div class="col-md-8 exibir-sidebar">

                                        <?php
                                        if (is_active_sidebar('sidebar_sessao_1')) {
                                            dynamic_sidebar('sidebar_sessao_1');
                                        }
                                        ?>

                                    </div>

                                </div>


                            </div>

                            <div class="tab-pane" id="tab4">
                                <h3 class="ui-title-inner">Caracteristicas dos veículos</h3>
                                <div class="row">
                                    <div class="col-md-6">
                                        <dl class="list-descriptions list-unstyled">
                                            <div class="dd-item">
                                                <dt class="left">Marca:</dt>
                                                <dd class="right"><?= alt_get_marca_modelo_tipo($post->ID, 'marca'); ?></dd>
                                                <dt class="left">KM:</dt>
                                                <dd class="right"><?= alt_get_caracteristicas($post->ID, 'alt_kilometragem'); ?></dd>
                                                <dt class="left">Combustível:</dt>
                                                <dd class="right"><?= alt_get_caracteristicas($post->ID, 'alt_combustivel'); ?></dd>
                                                <dt class="left">Cambio:</dt>
                                                <dd class="right"><?= alt_get_caracteristicas($post->ID, 'alt_cambio'); ?></dd>
                                            </div>
                                        </dl>
                                    </div>
                                    <div class="col-md-6">
                                        <dl class="list-descriptions list-unstyled">
                                            <div class="dd-item">
                                                <dt class="left">Modelo:</dt>
                                                <dd class="right"><?= alt_get_marca_modelo_tipo($post->ID, 'modelo'); ?></dd>
                                                <dt class="left">Cor:</dt>
                                                <dd class="right"><?= alt_get_caracteristicas($post->ID, 'alt_cor'); ?></dd>
                                                <dt class="left">Placa:</dt>
                                                <dd class="right"><?= alt_get_caracteristicas($post->ID, 'alt_placa'); ?></dd>
                                                <dt class="left">Portas:</dt>
                                                <dd class="right"><?= alt_get_caracteristicas($post->ID, 'alt_portas'); ?></dd>
                                            </div>
                                        </dl>
                                    </div>


                                </div>
                            </div>
                        </div>


                        <?php if (is_active_sidebar('sidebar_sessao_2')) : ?>
                            <div class="row">
                                <div class="col-xs-12">
                                    <?php dynamic_sidebar('sidebar_sessao_2'); ?>
                                </div>
                            </div>

                        <?php endif; ?>
                    </article>


                    <div class="wrap-section-border">
                        <section class="section_letter section-bg section-bg_primary">
                            <div class="letter bg-inner">
                                <div class="letter__inner">
                                    <h2 class="letter__title">Não encontrou o veículo que está procurando ?</h2>
                                    <div class="letter__info">
                                        Deixe-nos saber um pouco mais sobre o que você procura, mande uma mensagem por
                                        whatsapp para um de nossos colaboradores
                                    </div>
                                </div>
                                <div class="letter__btn wrap-social-block wrap-social-block_mod-a">
                                    <a class="social-block social-block_mod-a btn-effect" href="<?= get_permalink(get_page_by_path('contato')); ?>">
                                        <div class="social-block__inner">Fale conosco</div>
                                    </a>
                                </div>
                            </div>
                            <!-- end bg-inner -->
                            <div class="border-section-bottom border-section-bottom_mod-a">

                            </div>
                        </section>
                        <!-- end section_mod-b -->
                    </div>
                    <!-- end wrap-section-border -->


                    <div class="wrap-section-border">
                        <section class="section_letter">

                            <?= alt_get_url_marca_modelo_tipo($post->ID, 'marca'); ?>

                            <?= alt_get_url_marca_modelo_tipo($post->ID, 'modelo'); ?>

                        </section>
                    </div>


                    <?php if (is_active_sidebar('sidebar_sessao_3')) : ?>
                        <div class="row">
                            <div class="col-xs-12">
                                <?php dynamic_sidebar('sidebar_sessao_3'); ?>
                            </div>
                        </div>

                    <?php endif; ?>
                </main>
                <!-- end main-content -->
            </div>
            <!-- end col -->


            <div class="col-md-4">


                <?php

                if (is_active_sidebar('sidebar_formulario_contato')) {
                    dynamic_sidebar('sidebar_formulario_contato');
                } else {
                    the_widget('alt_formulario_lead');
                }
                ?>


                <style>
                    .mfp-counter {
                        display: none;
                    }

                    .mt-5 {
                        margin-top: 50px;
                    }

                    .form-control {
                        padding: 0 20px;
                    }

                    h6.widget-title {
                        margin-top: 30px;
                    }
                </style>
            </div>
            <!-- end col -->
        </div>
        <!-- end row -->
    </div>
    <!-- end container -->
</section>
<script>
    function shareFacebook(url) {

        var w = 630;
        var h = 360;

        var left = screen.width / 2 - 630 / 2;
        var top = screen.height / 2 - 360 / 2;
        window.open('http://www.facebook.com/sharer.php?u=' + url, 'Compartilhar no facebook', 'toolbar=no, location=no, directories=no, status=no, ' + 'menubar=no, scrollbars=yes, resizable=no, copyhistory=no, width=' + w + ', height=' + h + ', top=' + top + ', left=' + left);
    }
</script>